//  (C) Copyright John Maddock 2000. 
//  Use, modification and distribution are subject to the Boost Software License,
//  Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at
//  http://www.boost.org/LICENSE_1_0.txt).
//
//  See http://www.boost.org/libs/type_traits for most recent version including documentation.

//  See boost/type_traits/*.hpp for full copyright notices.

#ifndef BOOST_TYPE_TRAITS_HPP
#define BOOST_TYPE_TRAITS_HPP

#include "_boost/type_traits/add_const.hpp"
#include "_boost/type_traits/add_cv.hpp"
#include "_boost/type_traits/add_pointer.hpp"
#include "_boost/type_traits/add_reference.hpp"
#include "_boost/type_traits/add_volatile.hpp"
#include "_boost/type_traits/alignment_of.hpp"
#include "_boost/type_traits/has_nothrow_assign.hpp"
#include "_boost/type_traits/has_nothrow_constructor.hpp"
#include "_boost/type_traits/has_nothrow_copy.hpp"
#include "_boost/type_traits/has_nothrow_destructor.hpp"
#include "_boost/type_traits/has_trivial_assign.hpp"
#include "_boost/type_traits/has_trivial_constructor.hpp"
#include "_boost/type_traits/has_trivial_copy.hpp"
#include "_boost/type_traits/has_trivial_destructor.hpp"
#include "_boost/type_traits/is_abstract.hpp"
#include "_boost/type_traits/is_arithmetic.hpp"
#include "_boost/type_traits/is_array.hpp"
#include "_boost/type_traits/is_base_and_derived.hpp"
#include "_boost/type_traits/is_class.hpp"
#include "_boost/type_traits/is_compound.hpp"
#include "_boost/type_traits/is_const.hpp"
#include "_boost/type_traits/is_convertible.hpp"
#include "_boost/type_traits/is_empty.hpp"
#include "_boost/type_traits/is_enum.hpp"
#include "_boost/type_traits/is_float.hpp"
#include "_boost/type_traits/is_function.hpp"
#include "_boost/type_traits/is_fundamental.hpp"
#include "_boost/type_traits/is_integral.hpp"
#include "_boost/type_traits/is_member_function_pointer.hpp"
#include "_boost/type_traits/is_member_pointer.hpp"
#include "_boost/type_traits/is_object.hpp"
#include "_boost/type_traits/is_pod.hpp"
#include "_boost/type_traits/is_polymorphic.hpp"
#include "_boost/type_traits/is_pointer.hpp"
#include "_boost/type_traits/is_reference.hpp"
#include "_boost/type_traits/is_same.hpp"
#include "_boost/type_traits/is_scalar.hpp"
#include "_boost/type_traits/is_stateless.hpp"
#include "_boost/type_traits/is_union.hpp"
#include "_boost/type_traits/is_void.hpp"
#include "_boost/type_traits/is_volatile.hpp"
#include "_boost/type_traits/remove_bounds.hpp"
#include "_boost/type_traits/remove_const.hpp"
#include "_boost/type_traits/remove_cv.hpp"
#include "_boost/type_traits/remove_pointer.hpp"
#include "_boost/type_traits/remove_reference.hpp"
#include "_boost/type_traits/remove_volatile.hpp"
#include "_boost/type_traits/type_with_alignment.hpp"
#include "_boost/type_traits/function_traits.hpp"

#include "_boost/type_traits/ice.hpp"

#endif // BOOST_TYPE_TRAITS_HPP




